Vulnerability CVE-2011-1583


Published: 2011-08-12   Modified: 2012-02-13

Description:
Multiple integer overflows in tools/libxc/xc_dom_bzimageloader.c in Xen 3.2, 3.3, 4.0, and 4.1 allow local users to cause a denial of service and possibly execute arbitrary code via a crafted paravirtualised guest kernel image that triggers (1) a buffer overflow during a decompression loop or (2) an out-of-bounds read in the loader involving unspecified length fields.

Type:

CWE-189

(Numeric Errors)

CVSS2 => (AV:L/AC:M/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
6.9/10
10/10
3.4/10
Exploit range
Attack complexity
Authentication
Local
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Citrix -> XEN 

 References:
http://lists.xensource.com/archives/html/xen-devel/2011-05/msg00491.html
http://lists.xensource.com/archives/html/xen-devel/2011-05/msg00483.html
http://rhn.redhat.com/errata/RHSA-2011-0496.html

Copyright 2022, cxsecurity.com

 

Back to Top